> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Retrieve

GET https://restapi.ordergroove.com/customers/{merchant_user_id}/

Returns information about an individual customer account by its unique identifier.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/customers/retrieve

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `merchant_user_id` (string, required) — Merchant User ID

## Response

### 200

200

- `merchant` (string, optional)
- `id` (integer, optional, default: 0)
- `merchant_user_id` (string, optional)
- `session_id` (string, optional)
- `user_token_id` (string, optional)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `email` (string, optional)
- `phone_number` (string, optional)
- `phone_type` (integer, optional, default: 0)
- `live` (boolean, optional, default: true)
- `created` (string, optional)
- `last_updated` (string, optional)
- `extra_data` (string, optional)
- `locale` (string, optional)
- `price_code` (string, optional)

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

### 404 Not Found Error

404

- `detail` (string, optional)

## Examples

**Response**

```json
{
  "merchant": "ac4f7938383a11e89ecbbc764e1107f2",
  "id": 1599349,
  "merchant_user_id": "00026001",
  "session_id": "ac4f7938383a11e89ecbbc764e1107f2.896371.1539022086",
  "user_token_id": "abc123",
  "first_name": "Nathan",
  "last_name": "Torres",
  "email": "nathan.torres@ordergroove.com",
  "phone_number": "+13154055372",
  "phone_type": 2,
  "live": true,
  "created": "2018-10-10 14:43:32",
  "last_updated": "2018-11-15 21:44:19",
  "extra_data": "",
  "locale": "en-us",
  "price_code": ""
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/customers/merchant_user_id/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/customers/merchant_user_id/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/customers/merchant_user_id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/customers/merchant_user_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/customers/merchant_user_id/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/customers/merchant_user_id/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/customers/merchant_user_id/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/customers/merchant_user_id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```